package com.red.circle.wallet.inner.model.enums;

/**
 * @author pengliang on 2023/2/17
 */
public enum UserBankWaterEvent {

  /**
   * 提现.
   */
  WITHDRAW("Withdraw"),

  /**
   * 转账.
   */
  TRANSFER("Transfer"),

  /**
   * 转账金币.
   */
  TRANSFER_GOLD("Transfer"),

  /**
   * 申请提现
   */
  APPLY_WITHDRAW("Apply Withdraw"),

  /**
   * 接收转账.
   */
  RECEIVE_TRANSFER("Receive transfer"),

  /**
   * 兑换金币.
   */
  EXCHANGE_GOLD_COINS("Exchange gold coins"),

  /**
   * 账单兑换金币.
   */
  BILL_EXCHANGE_GOLD_COINS("Bill exchange gold coins"),

  /**
   * 工资兑换金币.
   */
  SALARY_EXCHANGE_GOLD_COINS("Salary exchange gold coins"),

  /**
   * 系统结算工资.
   */
  SYSTEM_SETTLEMENT_WAGES("[system] settlement wages"),

  /**
   * 系统结算代理工资.
   */
  SYSTEM_SETTLEMENT_WAGES_AGENT("[system] Settlement Agent Salary"),

  /**
   * 系统结算代理工资-成员.
   */
  SYSTEM_SETTLEMENT_WAGES_MEMBER("[system] Settlement Member salary"),

  /**
   * 系统扣除.
   */
  SYSTEM_DEDUCT("[system] deduct"),

  /**
   * 系统结算扣除工资.
   */
  SYSTEM_DAILY_SETTLEMENT_DEDUCT("[system] System Daily Settlement Deduct"),

  /**
   * 系统补偿.
   */
  SYSTEM_COMPENSATE("[system] compensate"),

  /**
   * 系统创建账户.
   */
  CREATE_ACCOUNT("[system] Create an account"),

  /**
   * 系统自动扣除主播工资.
   */
  SYSTEM_AUTOMATIC_DEDUCT_SALARY("[system] Automatic deduction of salary"),

  /**
   * 系统自动扣除代理工资.
   */
  SYSTEM_AUTOMATIC_DEDUCT_SALARY_AGENT("[system] Automatic deduction of Agent salary"),

  /**
   * 系统自动扣除代理代收主播工资.
   */
  SYSTEM_AUTOMATIC_DEDUCT_SALARY_AGENT_MEMBER("[system] Automatic deduction of Agent salary"),

  /**
   * 系统自动结算工资.
   */
  SYSTEM_AUTOMATIC_SETTLEMENT_WAGES("[system] Automatic settlement wages"),

  /**
   * 系统自动结算代理工资.
   */
  SYSTEM_AUTOMATIC_SETTLEMENT_WAGES_AGENT("[system] Automatic settlement Agent Salary"),

  /**
   * 系统自动结算代理代收主播工资.
   */
  SYSTEM_AUTOMATIC_SETTLEMENT_WAGES_MEMBER("[system] Automatic settlement Agent salary"),

  /**
   * 系统自动兑换剩余目标.
   */
  SYSTEM_AUTO_EXCHANGE_SURPLUS_TARGET(
      "[system] The system automatically redeems the remaining targets"),

  /**
   * 系统自动兑换剩余目标-代理代收.
   */
  SYSTEM_AUTO_REPLACE_EXCHANGE_SURPLUS_TARGET(
      "[system] The system automatically redeems the remaining targets"),

  /**
   * 后台导入.
   */
  SEND_SALARY("Send Salary"),

  /**
   * 赠送礼物.
   */
  GIVING_GIFTS("Giving gifts"),

  /**
   * 接收礼物.
   */
  ACCEPT_GIFTS("Accept gifts"),

  /**
   * 退款.
   */
  REFUND("Refund"),

  /**
   * 邀新用户红包提现.
   */
  NEW_USER_RED_PACKET_WITHDRAW("New user red packet withdraw"),

  BD_SALARY_SETTLEMENT("BD工资结算"),

  BD_LEADER_SALARY_SETTLEMENT("BD Leader工资结算"),
  ;

  private final String describe;

  UserBankWaterEvent(String describe) {
    this.describe = describe;
  }

  public String getDescribe() {
    return describe;
  }
  }
